* PACKAGE ZLDIM  !" $@@~7A2r@OG[Ns(J
*
*"  [HIS]  92/12/14(takepiro) $@5e3L(J Boussinesq $@%b%G%kHG(J
*"         95/06/21(takepiro) $@=PNO8GM-4X?t$N?t$rF3F~(J
*
*     INTEGER     IMAX           !" $@7PEY3J;R?t(J
*     INTEGER     JMAX           !" $@0^EY3J;R?t(J
*     INTEGER     IDIM           !" $@7PEYG[Ns%5%$%:(J
*     INTEGER     JDIM           !" $@0^EYG[Ns%5%$%:(J
*     INTEGER     MMAX           !" $@:GBgEl@>GH?t(J
*     INTEGER     LMAX           !" $@:GBgFnKLGH?t(J
*     INTEGER     NMAX           !" $@:GBgA4GH?t(J
*     INTEGER     MINT           !" $@El@>GH?t4V3V(J
*     INTEGER     KMAX           !" $@1tD>AX?t(J
*     INTEGER     KDIM           !" $@1tD>G[Ns%5%$%:(J
*     INTEGER     NMDIM          !" $@?eJ?GH?t@.J,?t(J
*     INTEGER     JMXHF          !" JMAX/2+1
*     INTEGER     NWORK          !" $@%o!<%/NN0hBg$-$5(J
*
      INTEGER    MDIM        !" $@El@>GH?tG[Ns$NBg$-$5(J
      INTEGER    RDIM        !" $@%l%$%j!<?tG[Ns$NBg$-$5(J
      INTEGER    TDIM        !" $@%F%$%i!<?tG[Ns$NBg$-$5(J
      INTEGER    PDIM        !" $@%W%i%s%I%k?tG[Ns$NBg$-$5(J
*
      INTEGER    NVDIM       !" $@=PNO8GM-4X?t7W;;?t(J
      INTEGER    LLMAX       !" $@@~7A8GM-CM2r@O$N:GBgFnKLGH?t(J
      INTEGER    MATDMX      !" $@78?t9TNs$NBg$-$5(J 
*"                           !" $@FnKLGH?t(J*$@1tD>3J;R(J*(SIN/COS)*(TOR/POR/T)
*
#ifndef LANALLMAX
#define LANALLMAX LMAX
#endif
*
      PARAMETER (  MDIM   = 20 , 
     &             RDIM   = 20 ,
     &             TDIM   = 20 , 
     &             PDIM   = 20 , 
     &             NVDIM  = 10 ,
     &             LLMAX  = LANALLMAX , 
     &             MATDMX = ( LLMAX+1 )*KMAX * 2 * 3 )
